Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 3.1.0
    • Fix Version/s: 3.1.0, 3.0.1
    • Component/s: None
    • Labels:
      None
    • Target Version/s:
    • Hadoop Flags:
      Reviewed

      Description

      Not sure if I'm somehow on a different version as our Yetus infra or what, but I'm unable to build Hadoop due to some recent changes that are throwing JavaDoc errors. Most significantly:

      [ERROR] /home/sean/src/apache/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-api/src/main/java/org/apache/hadoop/yarn/api/protocolrecords/AllocateResponse.java:379: error: self-closing element not allowed
      [ERROR] * <br/>
      [ERROR] ^
      [ERROR] /home/sean/src/apache/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-api/src/main/java/org/apache/hadoop/yarn/api/protocolrecords/AllocateResponse.java:397: error: self-closing element not allowed
      [ERROR] * <br/>
      [ERROR] ^
      [ERROR] /home/sean/src/apache/hadoop/hadoop-yarn-project/hadoop-yarn/hadoop-yarn-api/src/main/java/org/apache/hadoop/yarn/util/resource/ResourceUtils.java:425: error: reference not found
      [ERROR] * @throws IllegalArgumentExcpetion if units contain non alpha characters
      [ERROR] ^
      

        Attachments

        1. YARN-7664.001.patch
          9 kB
          Sean Mackrory
        2. YARN-7664-branch-3.0.patch
          1 kB
          Akira Ajisaka

          Issue Links

            Activity

              People

              • Assignee:
                mackrorysd Sean Mackrory
                Reporter:
                mackrorysd Sean Mackrory
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: